<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='BaseChangeReloadMixin (Mixin)' :maxState='0')
  template(v-slot:description)
    h5 This mixin will make your components able to detect when the source code has changed and automatically reload the page.
    p Click on #[em interface] to view the full specifications.

  template(v-slot:interface)
    h5 BaseChangeReloadMixin
    p You need to add #[code BaseChangeReloadMixin] to your component #[code mixins].
    p It will check if the website was updated since page load based on #[code 'If-None-Match'] with document #[code ETag].
    p If the server don't support #[code ETags], it will try to fallback on #[code Date] check with #[code 'Last-Modified'].
    p This mixin accept an option object as parameter:
    p #[code { reloadInterval: 900000 } ]
    p where:
    ul
      +prop("reloadInterval: number (default: 900000)")
        | The delay (in ms) between two change-check requests.
</template>
<script>
import { BaseChangeReloadMixin } from "../src";
import Example from "./AppExample.vue";

export default {
  name: "ExampleChangeReloadMixin",
  components: { Example },
  mixins: [ BaseChangeReloadMixin({ reloadInterval: 10000 }) ]
};
</script>
